# Tellor

Tellor is a decentralized and permissionless oracle protocol for answering **any question** of **any format** on-chain. Data is provided by a network of reporters running Telliot, an open-source reporting client. The oracle mechanism works by using simple crypto-economic incentives to secure data through staking and dispute mechanisms, while the community is bound by a token which utilizes anonymous governance system and monetary policy to reward and motivate adoption and development of the network.

### Available oracles

The table below lists reliable decentralized oracle options for DIVA Protocol. Currently, [Tellor protocol](https://tellor.io/) has been integrated as the first decentralized oracle provider. To use it, simply assign the the data provider address as the `dataProvider` field when creating a pool. As the protocol continues to evolve, the list of oracle integrations will expand over time.

<table><thead><tr><th>Oracle</th><th width="549">Data Provider Address</th><th>Networks</th><th>Description</th><th>Audited</th><th>Socials</th></tr></thead><tbody><tr><td>Tellor protocol</td><td><code>0x7950db13cc37774614b0aa406e42a4c4f0bf26a6</code></td><td><a href="https://etherscan.io/address/0x7950db13cc37774614b0aa406e42a4c4f0bf26a6">Ethereum</a>, <a href="https://polygonscan.com/address/0x7950db13cc37774614b0aa406e42a4c4f0bf26a6">Polygon</a>, <a href="https://arbiscan.io/address/0x7950db13cc37774614b0aa406e42a4c4f0bf26a6">Arbitrum One</a>, <a href="https://gnosisscan.io/address/0x7950db13cc37774614b0aa406e42a4c4f0bf26a6">Gnosis</a></td><td><a href="https://github.com/divaprotocol/oracles/blob/main/docs/Tellor.md">Docs</a></td><td><a href="https://github.com/divaprotocol/diva-protocol-v1/blob/main/audits/Final%20April%202023/Summary.md#tellor-oracle-adapter">✅</a></td><td><a href="https://tellor.io/">Website</a>, <a href="https://discord.gg/tellor">Discord</a>, <a href="https://twitter.com/WeAreTellor">Twitter</a></td></tr></tbody></table>

❗**IMPORTANT:**

* Prior to utilizing any of the listed oracles, please ensure that your specific data point is supported.
* Users should exercise caution and avoid interacting with pools that utilize untrusted oracles.

### <mark style="color:blue;">Oracle details</mark>

* Type: [Smart contract](https://github.com/divaprotocol/oracles)
* Address: 0x2f4218C9262216B7B73A76334e5A98F3eF71A61c

#### <mark style="color:blue;">Data feeds</mark>

* BTC/USD, ETH/USD

#### <mark style="color:blue;">Networks</mark>

* Ropsten

#### <mark style="color:blue;">Functionality</mark>

* Tellor reporters monitor the [DIVA subgraph](https://thegraph.com/hosted-service/subgraph/divaprotocol/diva-ropsten) for expired pools and submit values where the Tellor oracle was selected as the data provider.&#x20;
* A value reported to the Tellor system is considered valid if it remains undisputed for at least 1 hour. After that delay, anyone can trigger the`setFinalReferenceValue` function inside the [oracle contract](https://github.com/divaprotocol/oracles) to push the value to the DIVA Protocol. Position token holders that are in the money are particularly incentivized to trigger that function.
* After the value has been pushed into DIVA Protocol, the payoffs per long and short position token are calculated and users can start redeeming their position tokens. The possibility to challenge the value inside DIVA Protocol is deactivated for this oracle.
* Position token holders can submit values themselves to the Tellor protocol.

#### <mark style="color:blue;">Fallback</mark>

* If the oracle doesn't report a value within the 24h submission window following pool expiration, DIVA's fallback provider will have 5 days to step in and report a value.
* If the fallback data provider fails to report a value, then the final value will default to inflection.

#### <mark style="color:blue;">Risk disclaimer</mark>

* Reporters may not report any values if the expected gas costs exceed the expected fee reward. In particular, this applies to pools with a low remaining collateral balance. In those cases, position token holders will be able report the values to the Tellor protocol via the DIVA App themselves.
* A wrong value is not disputed for more than 1 hour. Tellor's dispute system is considered robust enough to identify inaccurate value submission before the 1 hour delay expires. If the 1 hour delay turns out to be insufficient, DIVA governance can increase it up to 18 hours.

### <mark style="color:blue;">Links</mark>

* Homepage: <https://tellor.io/>
* Discord: <https://discord.gg/tellor>
* Docs: <https://docs.tellor.io/tellor/>
* Telliot software: <https://github.com/tellor-io/telliot-feed-examples>
* DIVA Oracle specs: <https://github.com/tellor-io/dataSpecs/blob/main/types/DIVAProtocolPolygon.md>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.divaprotocol.io/oracle-integrations/tellor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
